package hmggirlfront;

import hmggirlfront.block.BlockM_Crafting;
import hmggirlfront.block.BlockM_Dismantling;
import hmggirlfront.block.BlockM_Restoring;
import hmggirlfront.block.BlockM_Supplies;
import hmggirlfront.block.BlockPoint;
import hmggirlfront.block.Block_BaseFlag;
import hmggirlfront.block.Block_Base_Fieldhospital;
import hmggirlfront.block.Block_Base_Headquarters;
import hmggirlfront.block.Block_Base_Materials;
import hmggirlfront.block.Block_Base_Munitionsdepot;
import hmggirlfront.block.Block_Base_Oil_complex;
import hmggirlfront.block.Block_BuildingBase;
import hmggirlfront.block.Block_Camonet;
import hmggirlfront.block.Block_Collapse;
import hmggirlfront.block.Block_CollapseHV;
import hmggirlfront.block.Block_DecoFacingBlock;
import hmggirlfront.block.Block_ExpBlock;
import hmggirlfront.block.Block_GKGunRack;
import hmggirlfront.block.Block_Goods;
import hmggirlfront.block.Block_HelpBuildingBase;
import hmggirlfront.block.Block_Spawn;
import hmggirlfront.block.Block_Spawn_Boss;
import hmggirlfront.block.Block_Spawn_ONE;
import hmggirlfront.block.tile.TileEntityHelpBuildingBase;
import hmggirlfront.block.tile.TileEntityM_Crafting;
import hmggirlfront.block.tile.TileEntityM_Restoring;
import hmggirlfront.block.tile.TileEntity_Collapse;
import hmggirlfront.block.tile.TileEntity_Spawn_ONE;
import net.minecraft.block.Block;
import net.minecraft.block.BlockHalfStoneSlab;
import net.minecraft.block.SoundType;
import net.minecraft.block.material.MapColor;
import net.minecraft.block.material.Material;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class GFBlockRegistry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Block> event){
		
		GameRegistry.registerTileEntity(TileEntityHelpBuildingBase.class, "TileEntityHelpBuildingBase");
		{
			mod.bdoll_supplies	= new BlockM_Supplies().setUnlocalizedName("bdoll_supplies")
					.setRegistryName(mod.MOD_ID, "bdoll_supplies").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_supplies);
		}
		
		{
			mod.bdoll_crafting	= new BlockM_Crafting(false).setUnlocalizedName("bdoll_crafting")
					.setRegistryName(mod.MOD_ID, "bdoll_crafting").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_crafting);
			GameRegistry.registerTileEntity(TileEntityM_Crafting.class, "TileEntityM_Crafting");
		}
		{
			mod.bdoll_dismantling	= new BlockM_Dismantling().setUnlocalizedName("bdoll_dismantling")
					.setRegistryName(mod.MOD_ID, "bdoll_dismantling").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_dismantling);
			//GameRegistry.registerTileEntity(TileEntityM_Crafting.class, "TileEntityM_Crafting");
		}
		{
			mod.bdoll_doll_Restoring_machine	= new BlockM_Restoring(false).setUnlocalizedName("bdoll_doll_Restoring_machine")
					.setRegistryName(mod.MOD_ID, "bdoll_doll_Restoring_machine").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_doll_Restoring_machine);
			GameRegistry.registerTileEntity(TileEntityM_Restoring.class, "TileEntityM_Restoring");
		}
		
		{
			mod.bdoll_frontlinebase	= new Block_HelpBuildingBase("base_frontlinebase.txt").setUnlocalizedName("bdoll_frontlinebase")
					.setRegistryName(mod.MOD_ID, "bdoll_frontlinebase").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.bdoll_frontlinebase;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.information1 = "hmggirlfront.frontlinebase.1.name";
		    	reader.information2 = "hmggirlfront.frontlinebase.2.name";
		    	reader.information3 = "hmggirlfront.frontlinebase.3.name";
		    	reader.information4 = "hmggirlfront.frontlinebase.4.name";
		    }
			event.getRegistry().register(mod.bdoll_frontlinebase);
		}
		
		
		
		{
			mod.base_materials	= new Block_BuildingBase("base_materials.txt").setUnlocalizedName("base_materials")
					.setRegistryName(mod.MOD_ID, "base_materials").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_materials;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_materials);
		}
		{
			mod.bdoll_base_materials	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_materials")
					.setRegistryName(mod.MOD_ID, "bdoll_base_materials").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_materials);
			//GameRegistry.registerTileEntity(TileEntity_Base_Materials.class, "TileEntity_Base_Materials");
		}
		{
			mod.bdoll_base_materials_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_materials_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_materials_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_materials_em);
		}
		
		{
			mod.base_munitionsdepot	= new Block_BuildingBase("base_munitionsdepot.txt").setUnlocalizedName("base_munitionsdepot")
					.setRegistryName(mod.MOD_ID, "base_munitionsdepot").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_munitionsdepot;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_munitionsdepot);
		}
		{
			mod.bdoll_base_munitionsdepot	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_munitionsdepot")
					.setRegistryName(mod.MOD_ID, "bdoll_base_munitionsdepot").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_munitionsdepot);
		}
		{
			mod.bdoll_base_munitionsdepot_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_munitionsdepot_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_munitionsdepot_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_munitionsdepot_em);
		}
		
		
		{
			mod.base_fieldhospital	= new Block_BuildingBase("base_fieldhospital.txt").setUnlocalizedName("base_fieldhospital")
					.setRegistryName(mod.MOD_ID, "base_fieldhospital").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_fieldhospital;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_fieldhospital);
		}
		{
			mod.bdoll_base_fieldhospital	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_fieldhospital")
					.setRegistryName(mod.MOD_ID, "bdoll_base_fieldhospital").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_fieldhospital);
		}
		{
			mod.bdoll_base_fieldhospital_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_fieldhospital_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_fieldhospital_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_fieldhospital_em);
		}
		
		
		{
			mod.base_bunker	= new Block_BuildingBase("base_bunker.txt").setUnlocalizedName("base_bunker")
					.setRegistryName(mod.MOD_ID, "base_bunker").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_bunker;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_bunker);
		}
		{
			mod.bdoll_base_bunker	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_bunker")
					.setRegistryName(mod.MOD_ID, "bdoll_base_bunker").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_bunker);
			//GameRegistry.registerTileEntity(TileEntity_Base_bunker.class, "TileEntity_Base_bunker");
		}
		{
			mod.bdoll_base_bunker_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_bunker_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_bunker_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_bunker_em);
		}
		
		{
			mod.base_desert_camp	= new Block_BuildingBase("base_desert_camp.txt").setUnlocalizedName("base_desert_camp")
					.setRegistryName(mod.MOD_ID, "base_desert_camp").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_desert_camp;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_desert_camp);
		}
		{
			mod.bdoll_base_desert_camp	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_desert_camp")
					.setRegistryName(mod.MOD_ID, "bdoll_base_desert_camp").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_desert_camp);
			//GameRegistry.registerTileEntity(TileEntity_Base_desert_camp.class, "TileEntity_Base_desert_camp");
		}
		{
			mod.bdoll_base_desert_camp_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_desert_camp_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_desert_camp_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_desert_camp_em);
		}
		
		{
			mod.base_snow_camp	= new Block_BuildingBase("base_snow_camp.txt").setUnlocalizedName("base_snow_camp")
					.setRegistryName(mod.MOD_ID, "base_snow_camp").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_snow_camp;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_snow_camp);
		}
		{
			mod.bdoll_base_snow_camp	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_snow_camp")
					.setRegistryName(mod.MOD_ID, "bdoll_base_snow_camp").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_snow_camp);
			//GameRegistry.registerTileEntity(TileEntity_Base_snow_camp.class, "TileEntity_Base_snow_camp");
		}
		{
			mod.bdoll_base_snow_camp_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_snow_camp_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_snow_camp_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_snow_camp_em);
		}
	
		{
			mod.base_snow_camp2	= new Block_BuildingBase("base_snow_camp2.txt").setUnlocalizedName("base_snow_camp2")
					.setRegistryName(mod.MOD_ID, "base_snow_camp2").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_snow_camp2;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_snow_camp2);
		}
		{
			mod.bdoll_base_snow_camp2	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_snow_camp2")
					.setRegistryName(mod.MOD_ID, "bdoll_base_snow_camp2").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_snow_camp2);
			//GameRegistry.registerTileEntity(TileEntity_Base_snow_camp2.class, "TileEntity_Base_snow_camp2");
		}
		{
			mod.bdoll_base_snow_camp2_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_snow_camp2_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_snow_camp2_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_snow_camp2_em);
		}
		
		{
			mod.base_snowforest_camp	= new Block_BuildingBase("base_snowforest_camp.txt").setUnlocalizedName("base_snowforest_camp")
					.setRegistryName(mod.MOD_ID, "base_snowforest_camp").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_snowforest_camp;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    }
			event.getRegistry().register(mod.base_snowforest_camp);
		}
		{
			mod.bdoll_base_snowforest_camp	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_snowforest_camp")
					.setRegistryName(mod.MOD_ID, "bdoll_base_snowforest_camp").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_snowforest_camp);
			//GameRegistry.registerTileEntity(TileEntity_Base_snowforest_camp.class, "TileEntity_Base_snowforest_camp");
		}
		{
			mod.bdoll_base_snowforest_camp_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_snowforest_camp_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_snowforest_camp_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_snowforest_camp_em);
		}
		
		
		
		
		
		
		
		{
			mod.base_helipad	= new Block_BuildingBase("base_helipad.txt").setUnlocalizedName("base_helipad")
					.setRegistryName(mod.MOD_ID, "base_helipad").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_helipad;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_helipad);
		}
		{
			mod.bdoll_base_helipad	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad);
			//GameRegistry.registerTileEntity(TileEntity_Base_bunker.class, "TileEntity_Base_bunker");
		}
		{
			mod.bdoll_base_helipad_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad_em);
		}
		{
			mod.base_substation	= new Block_BuildingBase("base_substation.txt").setUnlocalizedName("base_substation")
					.setRegistryName(mod.MOD_ID, "base_substation").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_substation;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_substation);
		}
		{
			mod.bdoll_base_substation	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_substation")
					.setRegistryName(mod.MOD_ID, "bdoll_base_substation").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_substation);
			//GameRegistry.registerTileEntity(TileEntity_Base_substation.class, "TileEntity_Base_substation");
		}
		{
			mod.bdoll_base_substation_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_substation_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_substation_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_substation_em);
		}
		{
			mod.base_wastecollection	= new Block_BuildingBase("base_wastecollection.txt").setUnlocalizedName("base_wastecollection")
					.setRegistryName(mod.MOD_ID, "base_wastecollection").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_wastecollection;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_wastecollection);
		}
		{
			mod.bdoll_base_wastecollection	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_wastecollection")
					.setRegistryName(mod.MOD_ID, "bdoll_base_wastecollection").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_wastecollection);
			//GameRegistry.registerTileEntity(TileEntity_Base_wastecollection.class, "TileEntity_Base_wastecollection");
		}
		{
			mod.bdoll_base_wastecollection_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_wastecollection_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_wastecollection_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_wastecollection_em);
		}
		{
			mod.base_helipad_de	= new Block_BuildingBase("base_helipad_de.txt").setUnlocalizedName("base_helipad_de")
					.setRegistryName(mod.MOD_ID, "base_helipad_de").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_helipad_de;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_helipad_de);
		}
		{
			mod.bdoll_base_helipad_de	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad_de")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad_de").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad_de);
			//GameRegistry.registerTileEntity(TileEntity_Base_helipad_de.class, "TileEntity_Base_helipad_de");
		}
		{
			mod.bdoll_base_helipad_de_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad_de_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad_de_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad_de_em);
		}
		{
			mod.base_oilwell	= new Block_BuildingBase("base_oilwell.txt").setUnlocalizedName("base_oilwell")
					.setRegistryName(mod.MOD_ID, "base_oilwell").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_oilwell;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_oilwell);
		}
		{
			mod.bdoll_base_oilwell	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_oilwell")
					.setRegistryName(mod.MOD_ID, "bdoll_base_oilwell").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_oilwell);
			//GameRegistry.registerTileEntity(TileEntity_Base_oilwell.class, "TileEntity_Base_oilwell");
		}
		{
			mod.bdoll_base_oilwell_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_oilwell_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_oilwell_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_oilwell_em);
		}
		{
			mod.base_helipad_mt	= new Block_BuildingBase("base_helipad_mt.txt").setUnlocalizedName("base_helipad_mt")
					.setRegistryName(mod.MOD_ID, "base_helipad_mt").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_helipad_mt;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_helipad_mt);
		}
		{
			mod.bdoll_base_helipad_mt	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad_mt")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad_mt").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad_mt);
			//GameRegistry.registerTileEntity(TileEntity_Base_helipad_mt.class, "TileEntity_Base_helipad_mt");
		}
		{
			mod.bdoll_base_helipad_mt_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad_mt_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad_mt_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad_mt_em);
		}
		{
			mod.base_coalmine	= new Block_BuildingBase("base_coalmine.txt").setUnlocalizedName("base_coalmine")
					.setRegistryName(mod.MOD_ID, "base_coalmine").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_coalmine;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_coalmine);
		}
		{
			mod.bdoll_base_coalmine	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_coalmine")
					.setRegistryName(mod.MOD_ID, "bdoll_base_coalmine").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_coalmine);
			//GameRegistry.registerTileEntity(TileEntity_Base_coalmine.class, "TileEntity_Base_coalmine");
		}
		{
			mod.bdoll_base_coalmine_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_coalmine_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_coalmine_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_coalmine_em);
		}
		{
			mod.base_helipad_se	= new Block_BuildingBase("base_helipad_se.txt").setUnlocalizedName("base_helipad_se")
					.setRegistryName(mod.MOD_ID, "base_helipad_se").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_helipad_se;
		    	reader.setair_water = true;
		    	reader.setbed = false;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsety = -3;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_helipad_se);
		}
		{
			mod.bdoll_base_helipad_se	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad_se")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad_se").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad_se);
			//GameRegistry.registerTileEntity(TileEntity_Base_helipad_se.class, "TileEntity_Base_helipad_se");
		}
		{
			mod.bdoll_base_helipad_se_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_helipad_se_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_helipad_se_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_helipad_se_em);
		}
		{
			mod.base_wastecarrier	= new Block_BuildingBase("base_wastecarrier.txt").setUnlocalizedName("base_wastecarrier")
					.setRegistryName(mod.MOD_ID, "base_wastecarrier").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_wastecarrier;
		    	reader.setair_water = true;
		    	reader.setbed = false;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsety = -2;
		    }
			event.getRegistry().register(mod.base_wastecarrier);
		}
		{
			mod.bdoll_base_wastecarrier	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_wastecarrier")
					.setRegistryName(mod.MOD_ID, "bdoll_base_wastecarrier").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_wastecarrier);
			//GameRegistry.registerTileEntity(TileEntity_Base_wastecarrier.class, "TileEntity_Base_wastecarrier");
		}
		{
			mod.bdoll_base_wastecarrier_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_wastecarrier_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_wastecarrier_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_wastecarrier_em);
		}
		{
			mod.base_containership	= new Block_BuildingBase("base_containership.txt").setUnlocalizedName("base_containership")
					.setRegistryName(mod.MOD_ID, "base_containership").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_containership;
		    	reader.setair_water = true;
		    	reader.setbed = false;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsety = -3;
		    }
			event.getRegistry().register(mod.base_containership);
		}
		{
			mod.bdoll_base_containership	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_containership")
					.setRegistryName(mod.MOD_ID, "bdoll_base_containership").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_containership);
			//GameRegistry.registerTileEntity(TileEntity_Base_containership.class, "TileEntity_Base_containership");
		}
		{
			mod.bdoll_base_containership_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_containership_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_containership_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_containership_em);
		}
		{
			mod.base_offshorecrane	= new Block_BuildingBase("base_offshorecrane.txt").setUnlocalizedName("base_offshorecrane")
					.setRegistryName(mod.MOD_ID, "base_offshorecrane").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_offshorecrane;
		    	reader.setair_water = true;
		    	reader.setbed = false;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsety = -1;
		    }
			event.getRegistry().register(mod.base_offshorecrane);
		}
		{
			mod.bdoll_base_offshorecrane	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_offshorecrane")
					.setRegistryName(mod.MOD_ID, "bdoll_base_offshorecrane").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_offshorecrane);
			//GameRegistry.registerTileEntity(TileEntity_Base_offshorecrane.class, "TileEntity_Base_offshorecrane");
		}
		{
			mod.bdoll_base_offshorecrane_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_offshorecrane_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_offshorecrane_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_offshorecrane_em);
		}
		{
			mod.base_antennabase	= new Block_BuildingBase("base_antennabase.txt").setUnlocalizedName("base_antennabase")
					.setRegistryName(mod.MOD_ID, "base_antennabase").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_antennabase;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_antennabase);
		}
		{
			mod.bdoll_base_antennabase	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_antennabase")
					.setRegistryName(mod.MOD_ID, "bdoll_base_antennabase").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_antennabase);
			//GameRegistry.registerTileEntity(TileEntity_Base_antennabase.class, "TileEntity_Base_antennabase");
		}
		{
			mod.bdoll_base_antennabase_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_antennabase_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_antennabase_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_antennabase_em);
		}
		{
			mod.base_antennabase_de	= new Block_BuildingBase("base_antennabase_de.txt").setUnlocalizedName("base_antennabase_de")
					.setRegistryName(mod.MOD_ID, "base_antennabase_de").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_antennabase_de;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_antennabase_de);
		}
		{
			mod.bdoll_base_antennabase_de	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_antennabase_de")
					.setRegistryName(mod.MOD_ID, "bdoll_base_antennabase_de").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_antennabase_de);
			//GameRegistry.registerTileEntity(TileEntity_Base_antennabase_de.class, "TileEntity_Base_antennabase_de");
		}
		{
			mod.bdoll_base_antennabase_de_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_antennabase_de_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_antennabase_de_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_antennabase_de_em);
		}
		{
			mod.base_antennabase_mt	= new Block_BuildingBase("base_antennabase_mt.txt").setUnlocalizedName("base_antennabase_mt")
					.setRegistryName(mod.MOD_ID, "base_antennabase_mt").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_antennabase_mt;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 32;
		    	reader.sizey = 16;
		    	reader.sizez = 32;
		    	reader.offsetx = -1;
		    	reader.offsetz = -1;
		    }
			event.getRegistry().register(mod.base_antennabase_mt);
		}
		{
			mod.bdoll_base_antennabase_mt	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_antennabase_mt")
					.setRegistryName(mod.MOD_ID, "bdoll_base_antennabase_mt").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_antennabase_mt);
			//GameRegistry.registerTileEntity(TileEntity_Base_antennabase_mt.class, "TileEntity_Base_antennabase_mt");
		}
		{
			mod.bdoll_base_antennabase_mt_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_antennabase_mt_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_antennabase_mt_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_antennabase_mt_em);
		}
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		/////////////////////////////////////////////////////////////////////////////////////////////////////
		{
			mod.base_headquarters	= new Block_BuildingBase("base_headquarters.txt").setUnlocalizedName("base_headquarters")
					.setRegistryName(mod.MOD_ID, "base_headquarters").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_headquarters;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.base_headquarters);
		}
		{
			mod.help_base_headquarters	= new Block_HelpBuildingBase("base_headquarters.txt").setUnlocalizedName("help_base_headquarters")
					.setRegistryName(mod.MOD_ID, "help_base_headquarters").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_headquarters;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.help_base_headquarters);
		}
		{
			mod.bdoll_base_headquarters	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_headquarters")
					.setRegistryName(mod.MOD_ID, "bdoll_base_headquarters").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_headquarters);
		}
		{
			mod.bdoll_base_headquarters_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_headquarters_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_headquarters_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_headquarters_em);
		}
		
		
		
		
		{
			mod.base_oil_complex	= new Block_BuildingBase("base_oil_complex.txt").setUnlocalizedName("base_oil_complex")
					.setRegistryName(mod.MOD_ID, "base_oil_complex").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_oil_complex;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.base_oil_complex);
		}
		{
			mod.help_base_oil_complex	= new Block_HelpBuildingBase("base_oil_complex.txt").setUnlocalizedName("help_base_oil_complex")
					.setRegistryName(mod.MOD_ID, "help_base_oil_complex").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_oil_complex;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.help_base_oil_complex);
		}
		{
			mod.bdoll_base_oil_complex	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_oil_complex")
					.setRegistryName(mod.MOD_ID, "bdoll_base_oil_complex").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_oil_complex);
		}
		{
			mod.bdoll_base_oil_complex_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_oil_complex_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_oil_complex_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_oil_complex_em);
		}
		
		
		{
			mod.base_desert_base	= new Block_BuildingBase("base_desert_base.txt").setUnlocalizedName("base_desert_base")
					.setRegistryName(mod.MOD_ID, "base_desert_base").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_desert_base;
				reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.base_desert_base);
		}
		{
			mod.help_base_desert_base	= new Block_HelpBuildingBase("base_desert_base.txt").setUnlocalizedName("help_base_desert_base")
					.setRegistryName(mod.MOD_ID, "help_base_desert_base").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_desert_base;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.help_base_headquarters);
		}
		{
			mod.bdoll_base_desert_base	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_desert_base")
					.setRegistryName(mod.MOD_ID, "bdoll_base_desert_base").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_desert_base);
		}
		{
			mod.bdoll_base_desert_base_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_desert_base_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_desert_base_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_desert_base_em);
		}
		
		{
			mod.base_forest_base	= new Block_BuildingBase("base_forest_base.txt").setUnlocalizedName("base_forest_base")
					.setRegistryName(mod.MOD_ID, "base_forest_base").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_forest_base;
				reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.base_forest_base);
		}
		{
			mod.help_base_forest_base	= new Block_HelpBuildingBase("base_forest_base.txt").setUnlocalizedName("help_base_forest_base")
					.setRegistryName(mod.MOD_ID, "help_base_forest_base").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_forest_base;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.help_base_forest_base);
		}
		{
			mod.bdoll_base_forest_base	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_forest_base")
					.setRegistryName(mod.MOD_ID, "bdoll_base_forest_base").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_forest_base);
		}
		{
			mod.bdoll_base_forest_base_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_forest_base_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_forest_base_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_forest_base_em);
		}
		
		
		
		
		
		{
			mod.base_amusement	= new Block_BuildingBase("base_amusement.txt").setUnlocalizedName("base_amusement")
					.setRegistryName(mod.MOD_ID, "base_amusement").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_amusement;
				reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.base_amusement);
		}
		{
			mod.help_base_amusement	= new Block_HelpBuildingBase("base_amusement.txt").setUnlocalizedName("help_base_amusement")
					.setRegistryName(mod.MOD_ID, "help_base_amusement").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_amusement;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.help_base_amusement);
		}
		{
			mod.bdoll_base_amusement	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_amusement")
					.setRegistryName(mod.MOD_ID, "bdoll_base_amusement").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_amusement);
		}
		{
			mod.bdoll_base_amusement_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_amusement_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_amusement_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_amusement_em);
		}
		
		{
			mod.base_observation_base	= new Block_BuildingBase("base_observation_base.txt").setUnlocalizedName("base_observation_base")
					.setRegistryName(mod.MOD_ID, "base_observation_base").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_observation_base;
				reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.base_observation_base);
		}
		{
			mod.help_base_observation_base	= new Block_HelpBuildingBase("base_observation_base.txt").setUnlocalizedName("help_base_observation_base")
					.setRegistryName(mod.MOD_ID, "help_base_observation_base").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_observation_base;
		    	reader.setair = true;
		    	reader.setbed = true;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.help_base_observation_base);
		}
		{
			mod.bdoll_base_observation_base	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_observation_base")
					.setRegistryName(mod.MOD_ID, "bdoll_base_observation_base").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_observation_base);
		}
		{
			mod.bdoll_base_observation_base_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_observation_base_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_observation_base_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_observation_base_em);
		}
		
		
		
		/////
		{
			mod.base_sea_launch	= new Block_BuildingBase("base_sea_launch.txt").setUnlocalizedName("base_sea_launch")
					.setRegistryName(mod.MOD_ID, "base_sea_launch").setCreativeTab(mod.tabgg_building);
			{
				Block_BuildingBase reader = (Block_BuildingBase) mod.base_sea_launch;
				reader.setair_water = true;
		    	reader.setbed = false;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    	reader.offsety = -3;
		    }
			event.getRegistry().register(mod.base_sea_launch);
		}
		{
			mod.help_base_sea_launch	= new Block_HelpBuildingBase("base_sea_launch.txt").setUnlocalizedName("help_base_sea_launch")
					.setRegistryName(mod.MOD_ID, "help_base_sea_launch").setCreativeTab(mod.tabgg_building);
			{
				Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_sea_launch;
		    	reader.setair = false;
		    	reader.setbed = false;
		    	reader.sizex = 128;
		    	reader.sizey = 48;
		    	reader.sizez = 128;
		    }
			event.getRegistry().register(mod.help_base_sea_launch);
		}
		{
			mod.bdoll_base_sea_launch	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_sea_launch")
					.setRegistryName(mod.MOD_ID, "bdoll_base_sea_launch").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_sea_launch);
		}
		{
			mod.bdoll_base_sea_launch_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_sea_launch_em")
					.setRegistryName(mod.MOD_ID, "bdoll_base_sea_launch_em").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.bdoll_base_sea_launch_em);
		}
		////
		
	/////
			{
				mod.base_mansion	= new Block_BuildingBase("base_mansion.txt").setUnlocalizedName("base_mansion")
						.setRegistryName(mod.MOD_ID, "base_mansion").setCreativeTab(mod.tabgg_building);
				{
					Block_BuildingBase reader = (Block_BuildingBase) mod.base_mansion;
					reader.setair = true;
			    	reader.setbed = true;
			    	reader.sizex = 128;
			    	reader.sizey = 48;
			    	reader.sizez = 128;
			    }
				event.getRegistry().register(mod.base_mansion);
			}
			{
				mod.help_base_mansion	= new Block_HelpBuildingBase("base_mansion.txt").setUnlocalizedName("help_base_mansion")
						.setRegistryName(mod.MOD_ID, "help_base_mansion").setCreativeTab(mod.tabgg_building);
				{
					Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_mansion;
			    	reader.setair = true;
			    	reader.setbed = true;
			    	reader.sizex = 128;
			    	reader.sizey = 48;
			    	reader.sizez = 128;
			    }
				event.getRegistry().register(mod.help_base_mansion);
			}
			{
				mod.bdoll_base_mansion	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_mansion")
						.setRegistryName(mod.MOD_ID, "bdoll_base_mansion").setCreativeTab(mod.tabgg_building);
				event.getRegistry().register(mod.bdoll_base_mansion);
			}
			{
				mod.bdoll_base_mansion_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_mansion_em")
						.setRegistryName(mod.MOD_ID, "bdoll_base_mansion_em").setCreativeTab(mod.tabgg_building);
				event.getRegistry().register(mod.bdoll_base_mansion_em);
			}
			////
			
			
		/////
					{
						mod.base_missile_silo	= new Block_BuildingBase("base_missile_silo.txt").setUnlocalizedName("base_missile_silo")
								.setRegistryName(mod.MOD_ID, "base_missile_silo").setCreativeTab(mod.tabgg_building);
						{
							Block_BuildingBase reader = (Block_BuildingBase) mod.base_missile_silo;
							reader.setair = true;
					    	reader.setbed = true;
					    	reader.offsety = -20;
					    	reader.sizex = 128;
					    	reader.sizey = 48;
					    	reader.sizez = 128;
					    }
						event.getRegistry().register(mod.base_missile_silo);
					}
					{
						mod.help_base_missile_silo	= new Block_HelpBuildingBase("base_missile_silo.txt").setUnlocalizedName("help_base_missile_silo")
								.setRegistryName(mod.MOD_ID, "help_base_missile_silo").setCreativeTab(mod.tabgg_building);
						{
							Block_HelpBuildingBase reader = (Block_HelpBuildingBase) mod.help_base_missile_silo;
					    	reader.setair = true;
					    	reader.setbed = true;
					    	reader.offsety = -20;
					    	reader.sizex = 128;
					    	reader.sizey = 48;
					    	reader.sizez = 128;
					    }
						event.getRegistry().register(mod.help_base_missile_silo);
					}
					{
						mod.bdoll_base_missile_silo	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_missile_silo")
								.setRegistryName(mod.MOD_ID, "bdoll_base_missile_silo").setCreativeTab(mod.tabgg_building);
						event.getRegistry().register(mod.bdoll_base_missile_silo);
					}
					{
						mod.bdoll_base_missile_silo_em	= new Block_BaseFlag().setUnlocalizedName("bdoll_base_missile_silo_em")
								.setRegistryName(mod.MOD_ID, "bdoll_base_missile_silo_em").setCreativeTab(mod.tabgg_building);
						event.getRegistry().register(mod.bdoll_base_missile_silo_em);
					}
					////
		
		
		
		
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		{
			mod.b_goods_ibc01_break	= new Block_Goods(1).setUnlocalizedName("b_goods_ibc01_break")
					.setRegistryName(mod.MOD_ID, "b_goods_ibc01_break").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.b_goods_ibc01_break);
		}
		{
			mod.b_goods_tank_break	= new Block_Goods(0).setUnlocalizedName("b_goods_tank_break")
					.setRegistryName(mod.MOD_ID, "b_goods_tank_break").setCreativeTab(mod.tabgg_building);
			event.getRegistry().register(mod.b_goods_tank_break);
		}
		{
			mod.b_block_collapse	= new Block_Collapse().setUnlocalizedName("b_block_collapse")
					.setRegistryName(mod.MOD_ID, "b_block_collapse").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_collapse);
		}
		{
			mod.b_block_collapse_grass	= new Block_Collapse().setUnlocalizedName("b_block_collapse_grass")
					.setRegistryName(mod.MOD_ID, "b_block_collapse_grass").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_collapse_grass);
		}
		{
			mod.b_block_collapse_hv	= new Block_CollapseHV().setUnlocalizedName("b_block_collapse_hv")
					.setRegistryName(mod.MOD_ID, "b_block_collapse_hv").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_collapse_hv);
		}
		GameRegistry.registerTileEntity(TileEntity_Collapse.class, "TileEntity_Collapse");
		
		{
			mod.bdoll_ibc01	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc01")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc01").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc01);
		}
		{
			mod.bdoll_ibc02	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc02")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc02").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc02);
		}
		{
			mod.bdoll_ibc03	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc03")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc03").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc03);
		}
		{
			mod.bdoll_ibc04	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc04")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc04").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc04);
		}
		{
			mod.bdoll_ibc05	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc05")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc05").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc05);
		}
		{
			mod.bdoll_ibc06	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc06")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc06").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc06);
		}
		{
			mod.bdoll_ibc07	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc07")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc07").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc07);
		}
		
		{
			mod.bdoll_ibc08	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc08")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc08").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc08);
		}
		{
			mod.bdoll_ibc09	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc09")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc09").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc09);
		}
		{
			mod.bdoll_ibc01turret	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc01turret")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc01turret").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc01turret);
		}
		{
			mod.bdoll_ibc10turret	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc10turret")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc10turret").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc10turret);
		}
		{
			mod.bdoll_ibc11	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc11")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc11").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc11);
		}
		{
			mod.bdoll_ibc12	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc12")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc12").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc12);
		}
		{
			mod.bdoll_ibc13	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc13")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc13").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc13);
		}
		{
			mod.bdoll_ibc14	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc14")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc14").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc14);
		}
		{
			mod.bdoll_ibcml	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibcml")
					.setRegistryName(mod.MOD_ID, "bdoll_ibcml").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibcml);
		}
		{
			mod.bdoll_ibc_jupiter	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc_jupiter")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_jupiter").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_jupiter);
		}
		{
			mod.bdoll_ibc_generator	= new Block_Spawn_ONE().setUnlocalizedName("bdoll_ibc_generator")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_generator").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_generator);
		}
		{
			mod.bdoll_ibc_boss01	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss01")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss01").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss01);
		}
		{
			mod.bdoll_ibc_boss02	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss02")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss02").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss02);
		}
		{
			mod.bdoll_ibc_boss03	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss03")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss03").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss03);
		}
		{
			mod.bdoll_ibc_boss04	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss04")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss04").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss04);
		}
		{
			mod.bdoll_ibc_boss05	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss05")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss05").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss05);
		}
		{
			mod.bdoll_ibc_boss06	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss06")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss06").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss06);
		}
		{
			mod.bdoll_ibc_boss07	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss07")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss07").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss07);
		}
		{
			mod.bdoll_ibc_boss08	= new Block_Spawn_Boss().setUnlocalizedName("bdoll_ibc_boss08")
					.setRegistryName(mod.MOD_ID, "bdoll_ibc_boss08").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bdoll_ibc_boss08);
		}
		
		
		GameRegistry.registerTileEntity(TileEntity_Spawn_ONE.class, "TileEntity_Spawn_ONE");
		
		//GameRegistry.registerTileEntity(TileEntity_Spawn.class, "TileEntity_Spawn");
		{
			mod.b_spanwer_ibc01	= new Block_Spawn().setUnlocalizedName("b_spanwer_ibc01")
					.setRegistryName(mod.MOD_ID, "b_spanwer_ibc01").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_spanwer_ibc01);
		}
		{
			mod.b_spanwer_ibc04	= new Block_Spawn().setUnlocalizedName("b_spanwer_ibc04")
					.setRegistryName(mod.MOD_ID, "b_spanwer_ibc04").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_spanwer_ibc04);
		}
		{
			mod.b_spanwer_ibc05	= new Block_Spawn().setUnlocalizedName("b_spanwer_ibc05")
					.setRegistryName(mod.MOD_ID, "b_spanwer_ibc05").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_spanwer_ibc05);
		}
		{
			mod.b_spanwer_ibc06	= new Block_Spawn().setUnlocalizedName("b_spanwer_ibc06")
					.setRegistryName(mod.MOD_ID, "b_spanwer_ibc06").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_spanwer_ibc06);
		}
		{
			mod.b_spanwer_ibc07	= new Block_Spawn().setUnlocalizedName("b_spanwer_ibc07")
					.setRegistryName(mod.MOD_ID, "b_spanwer_ibc07").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_spanwer_ibc07);
		}
		{
			mod.b_spanwer_ibc13	= new Block_Spawn().setUnlocalizedName("b_spanwer_ibc13")
					.setRegistryName(mod.MOD_ID, "b_spanwer_ibc13").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_spanwer_ibc13);
		}
		{
			mod.b_spanwer_ibc14	= new Block_Spawn().setUnlocalizedName("b_spanwer_ibc14")
					.setRegistryName(mod.MOD_ID, "b_spanwer_ibc14").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_spanwer_ibc14);
		}
		
		{
			mod.story_mission_1_npc	= new Block_Spawn_ONE().setUnlocalizedName("story_mission_1_npc")
					.setRegistryName(mod.MOD_ID, "story_mission_1_npc").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.story_mission_1_npc);
		}
		{
			mod.story_mission_2_npc	= new Block_Spawn_ONE().setUnlocalizedName("story_mission_2_npc")
					.setRegistryName(mod.MOD_ID, "story_mission_2_npc").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.story_mission_2_npc);
		}
		
		
		{
			mod.bsocom_cyclops	= new Block_Spawn_ONE().setUnlocalizedName("bsocom_cyclops")
					.setRegistryName(mod.MOD_ID, "bsocom_cyclops").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bsocom_cyclops);
		}
		{
			mod.bsocom_aegis	= new Block_Spawn_ONE().setUnlocalizedName("bsocom_aegis")
					.setRegistryName(mod.MOD_ID, "bsocom_aegis").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bsocom_aegis);
		}
		{
			mod.bsocom_cerynitis	= new Block_Spawn_ONE().setUnlocalizedName("bsocom_cerynitis")
					.setRegistryName(mod.MOD_ID, "bsocom_cerynitis").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bsocom_cerynitis);
		}
		{
			mod.bsocom_hydra	= new Block_Spawn_ONE().setUnlocalizedName("bsocom_hydra")
					.setRegistryName(mod.MOD_ID, "bsocom_hydra").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.bsocom_hydra);
		}
		
		
		{
			mod.b_block_camonet1_df	= new Block_Camonet().setUnlocalizedName("b_block_camonet1_df")
					.setRegistryName(mod.MOD_ID, "b_block_camonet1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_camonet1_df);
		}
		
		
		
		{
			mod.b_block_ammobox1_df	= new Block_ExpBlock(0).setUnlocalizedName("b_block_ammobox1_df")
					.setRegistryName(mod.MOD_ID, "b_block_ammobox1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_ammobox1_df);
		}
		{
			mod.b_block_barrel_drum1_df	= new Block_ExpBlock(1).setUnlocalizedName("b_block_barrel_drum1_df")
					.setRegistryName(mod.MOD_ID, "b_block_barrel_drum1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_barrel_drum1_df);
		}
		{
			mod.b_block_barrel_drum2_df	= new Block_ExpBlock(2).setUnlocalizedName("b_block_barrel_drum2_df")
					.setRegistryName(mod.MOD_ID, "b_block_barrel_drum2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_barrel_drum2_df);
		}
		{
			mod.b_block_hesco_df	= new Block(Material.SAND, MapColor.SAND).setHardness(3.0F).setResistance(100.0F).setUnlocalizedName("b_block_hesco_df")
					.setRegistryName(mod.MOD_ID, "b_block_hesco_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_hesco_df);
		}
		{
			mod.b_block_laptop_df	= new Block_DecoFacingBlock(0, false).setUnlocalizedName("b_block_laptop_df")
					.setRegistryName(mod.MOD_ID, "b_block_laptop_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_laptop_df);
		}
		{
			mod.b_block_monitor1_df	= new Block_DecoFacingBlock(1, false).setUnlocalizedName("b_block_monitor1_df")
					.setRegistryName(mod.MOD_ID, "b_block_monitor1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_monitor1_df);
		}
		{
			mod.b_block_sincgars_df	= new Block_DecoFacingBlock(2, false).setUnlocalizedName("b_block_sincgars_df")
					.setRegistryName(mod.MOD_ID, "b_block_sincgars_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_sincgars_df);
		}
		{
			mod.b_block_toughbook_df	= new Block_DecoFacingBlock(3, false).setUnlocalizedName("b_block_toughbook_df")
					.setRegistryName(mod.MOD_ID, "b_block_toughbook_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_toughbook_df);
		}
		
		
		
		{
			mod.b_block_9mmpack_df	= new Block_DecoFacingBlock(4, true).setUnlocalizedName("b_block_9mmpack_df")
					.setRegistryName(mod.MOD_ID, "b_block_9mmpack_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_9mmpack_df);
		}
		{
			mod.b_block_12gpack_df	= new Block_DecoFacingBlock(5, true).setUnlocalizedName("b_block_12gpack_df")
					.setRegistryName(mod.MOD_ID, "b_block_12gpack_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_12gpack_df);
		}
		{
			mod.b_block_40mmgr_ammo_df	= new Block_ExpBlock(3).setUnlocalizedName("b_block_40mmgr_ammo_df")
					.setRegistryName(mod.MOD_ID, "b_block_40mmgr_ammo_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_40mmgr_ammo_df);
		}
		{
			mod.b_block_556pack_df	= new Block_DecoFacingBlock(6, true).setUnlocalizedName("b_block_556pack_df")
					.setRegistryName(mod.MOD_ID, "b_block_556pack_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_556pack_df);
		}
		{
			mod.b_block_ammobox2_df	= new Block_ExpBlock(4).setUnlocalizedName("b_block_ammobox2_df")
					.setRegistryName(mod.MOD_ID, "b_block_ammobox2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_ammobox2_df);
		}
		{
			mod.b_block_box1_iop	= new Block(Material.CLOTH, MapColor.BROWN).setHardness(1.0F).setResistance(20.0F).setUnlocalizedName("b_block_box1_iop")
					.setRegistryName(mod.MOD_ID, "b_block_box1_iop").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_box1_iop);
		}
		
		{
			mod.b_block_collapse_bombe	= new Block_DecoFacingBlock(7, true).setUnlocalizedName("b_block_collapse_bombe")
					.setRegistryName(mod.MOD_ID, "b_block_collapse_bombe").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_collapse_bombe);
		}
		{
			mod.b_block_epiphyllum1	= new Block_DecoFacingBlock(8, true).setUnlocalizedName("b_block_epiphyllum1")
					.setRegistryName(mod.MOD_ID, "b_block_epiphyllum1").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_epiphyllum1);
		}
		{
			mod.b_block_epiphyllum2	= new Block_DecoFacingBlock(9, true).setUnlocalizedName("b_block_epiphyllum2")
					.setRegistryName(mod.MOD_ID, "b_block_epiphyllum2").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_epiphyllum2);
		}
		{
			mod.b_block_jutebag_df	= new Block_DecoFacingBlock(10, true).setUnlocalizedName("b_block_jutebag_df").setHardness(1F).setResistance(0.0F)
					.setRegistryName(mod.MOD_ID, "b_block_jutebag_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_jutebag_df);
		}
		{
			mod.b_block_medbag_df	= new Block_DecoFacingBlock(11, false).setUnlocalizedName("b_block_medbag_df")
					.setRegistryName(mod.MOD_ID, "b_block_medbag_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_medbag_df);
		}
		{
			mod.b_block_rcc_df	= new Block(Material.ROCK, MapColor.GRAY).setHardness(2.0F).setResistance(20.0F).setUnlocalizedName("b_block_rcc_df")
					.setRegistryName(mod.MOD_ID, "b_block_rcc_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_rcc_df);
		}
		
		{
			mod.b_block_416nui	= new Block_DecoFacingBlock(12, false).setUnlocalizedName("b_block_416nui")
					.setRegistryName(mod.MOD_ID, "b_block_416nui").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_416nui);
		}
		{
			mod.b_block_g36nui	= new Block_DecoFacingBlock(13, false).setUnlocalizedName("b_block_g36nui")
					.setRegistryName(mod.MOD_ID, "b_block_g36nui").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_g36nui);
		}
		{
			mod.b_block_kalinui	= new Block_DecoFacingBlock(14, false).setUnlocalizedName("b_block_kalinui")
					.setRegistryName(mod.MOD_ID, "b_block_kalinui").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_kalinui);
		}
		{
			mod.b_block_mg36nui	= new Block_DecoFacingBlock(15, false).setUnlocalizedName("b_block_mg36nui")
					.setRegistryName(mod.MOD_ID, "b_block_mg36nui").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_mg36nui);
		}
		{
			mod.b_block_roprowler	= new Block_DecoFacingBlock(16, false).setUnlocalizedName("b_block_roprowler")
					.setRegistryName(mod.MOD_ID, "b_block_roprowler").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_roprowler);
		}
		{
			mod.b_block_soptwonui	= new Block_DecoFacingBlock(17, false).setUnlocalizedName("b_block_soptwonui")
					.setRegistryName(mod.MOD_ID, "b_block_soptwonui").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_soptwonui);
		}
		{
			mod.b_block_wa2000nui	= new Block_DecoFacingBlock(18, false).setUnlocalizedName("b_block_wa2000nui")
					.setRegistryName(mod.MOD_ID, "b_block_wa2000nui").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_wa2000nui);
		}
		{
			mod.b_block_rfbnui	= new Block_DecoFacingBlock(19, false).setUnlocalizedName("b_block_rfbnui")
					.setRegistryName(mod.MOD_ID, "b_block_rfbnui").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_rfbnui);
		}
		
		
		{
			mod.b_block_gunrack_htgk	= new Block_GKGunRack().setUnlocalizedName("b_block_gunrack_htgk")
					.setRegistryName(mod.MOD_ID, "b_block_gunrack_htgk").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_gunrack_htgk);
		}
		{
			mod.b_block_gunrack_rsgk	= new Block_GKGunRack().setUnlocalizedName("b_block_gunrack_rsgk")
					.setRegistryName(mod.MOD_ID, "b_block_gunrack_rsgk").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_gunrack_rsgk);
		}
		{
			mod.b_block_gunrack_rtgk1	= new Block_GKGunRack().setUnlocalizedName("b_block_gunrack_rtgk1")
					.setRegistryName(mod.MOD_ID, "b_block_gunrack_rtgk1").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_gunrack_rtgk1);
		}
		
		
		{
			mod.b_block_57pack_df	= new Block_DecoFacingBlock(20, true).setUnlocalizedName("b_block_57pack_df")
					.setRegistryName(mod.MOD_ID, "b_block_57pack_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_57pack_df);
		}
		{
			mod.b_block_114pack_df	= new Block_DecoFacingBlock(21, true).setUnlocalizedName("b_block_114pack_df")
					.setRegistryName(mod.MOD_ID, "b_block_114pack_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_114pack_df);
		}
		{
			mod.b_block_473pack_df	= new Block_DecoFacingBlock(22, true).setUnlocalizedName("b_block_473pack_df")
					.setRegistryName(mod.MOD_ID, "b_block_473pack_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_473pack_df);
		}
		{
			mod.b_block_762pack_df	= new Block_DecoFacingBlock(23, true).setUnlocalizedName("b_block_762pack_df")
					.setRegistryName(mod.MOD_ID, "b_block_762pack_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_762pack_df);
		}
		
		{
			mod.b_block_at_obstacles2	= new Block_DecoFacingBlock(24, true).setUnlocalizedName("b_block_at_obstacles2")
					.setRegistryName(mod.MOD_ID, "b_block_at_obstacles2").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_at_obstacles2);
		}
		{
			mod.b_block_barbed1_df	= new Block_DecoFacingBlock(25, true).setUnlocalizedName("b_block_barbed1_df")
					.setRegistryName(mod.MOD_ID, "b_block_barbed1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_barbed1_df);
		}
		{
			mod.b_block_barbed2_df	= new Block_DecoFacingBlock(26, true).setUnlocalizedName("b_block_barbed2_df")
					.setRegistryName(mod.MOD_ID, "b_block_barbed2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_barbed2_df);
		}
		{
			mod.b_block_fire_exti_df	= new Block_DecoFacingBlock(27, false).setUnlocalizedName("b_block_fire_exti_df")
					.setRegistryName(mod.MOD_ID, "b_block_fire_exti_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_fire_exti_df);
		}
		{
			mod.b_block_Jerrycan1_df	= new Block_DecoFacingBlock(28, false).setUnlocalizedName("b_block_Jerrycan1_df")
					.setRegistryName(mod.MOD_ID, "b_block_Jerrycan1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_Jerrycan1_df);
		}
		{
			mod.b_block_mil_cont1_df	= new Block_DecoFacingBlock(29, true).setUnlocalizedName("b_block_mil_cont1_df")
					.setRegistryName(mod.MOD_ID, "b_block_mil_cont1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_mil_cont1_df);
		}
		{
			mod.b_block_mil_cont2_df	= new Block_DecoFacingBlock(30, true).setUnlocalizedName("b_block_mil_cont2_df")
					.setRegistryName(mod.MOD_ID, "b_block_mil_cont2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_mil_cont2_df);
		}
		{
			mod.b_block_odunit_df	= new Block_DecoFacingBlock(31, true).setUnlocalizedName("b_block_odunit_df")
					.setRegistryName(mod.MOD_ID, "b_block_odunit_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_odunit_df);
		}
		{
			mod.b_block_sandbag_a1_df	= new Block_DecoFacingBlock(32, true).setUnlocalizedName("b_block_sandbag_a1_df")
					.setRegistryName(mod.MOD_ID, "b_block_sandbag_a1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_sandbag_a1_df);
		}
		{
			mod.b_block_sandbag_a2_df	= new Block_DecoFacingBlock(33, true).setUnlocalizedName("b_block_sandbag_a2_df")
					.setRegistryName(mod.MOD_ID, "b_block_sandbag_a2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_sandbag_a2_df);
		}
		{
			mod.b_block_sandbag_b1_df	= new Block(Material.SAND, MapColor.SAND).setHardness(1.0F).setResistance(20.0F).setUnlocalizedName("b_block_sandbag_b1_df")
					.setRegistryName(mod.MOD_ID, "b_block_sandbag_b1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_sandbag_b1_df);
		}
		{
			mod.b_block_sandbag_b2_df	= new Block_DecoFacingBlock(35, true).setUnlocalizedName("b_block_sandbag_b2_df")
					.setRegistryName(mod.MOD_ID, "b_block_sandbag_b2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_sandbag_b2_df);
		}
		{
			mod.b_block_server_cont1_df	= new Block_DecoFacingBlock(36, true).setUnlocalizedName("b_block_server_cont1_df")
					.setRegistryName(mod.MOD_ID, "b_block_server_cont1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_server_cont1_df);
		}
		{
			mod.b_block_server_cont2_df	= new Block_DecoFacingBlock(37, true).setUnlocalizedName("b_block_server_cont2_df")
					.setRegistryName(mod.MOD_ID, "b_block_server_cont2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_server_cont2_df);
		}
		{
			mod.b_block_t_wall1_df	= new Block_DecoFacingBlock(38, true).setUnlocalizedName("b_block_t_wall1_df")
					.setRegistryName(mod.MOD_ID, "b_block_t_wall1_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_t_wall1_df);
		}
		{
			mod.b_block_t_wall2_df	= new Block_DecoFacingBlock(39, true).setUnlocalizedName("b_block_t_wall2_df")
					.setRegistryName(mod.MOD_ID, "b_block_t_wall2_df").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_block_t_wall2_df);
		}
		
		
		
		
		
		
		
		{
			mod.b_npc_isomer	= new Block_Spawn_ONE().setUnlocalizedName("b_npc_isomer")
					.setRegistryName(mod.MOD_ID, "b_npc_isomer").setCreativeTab(mod.tabgg_block);
			event.getRegistry().register(mod.b_npc_isomer);
		}
		
		
		
		{
			mod.bdoll_point	= new BlockPoint().setUnlocalizedName("bdoll_point")
					.setRegistryName(mod.MOD_ID, "bdoll_point");
			event.getRegistry().register(mod.bdoll_point);
		}
	}
		
}
